<form [formGroup]="editForm" class="dialog-container" (ngSubmit)="onEditDialogSubmit(editForm)">
    <mat-form-field appearance="fill">
        <input matInput formControlName="name" value={{data.name}} placeholder={{data.name}}>
    </mat-form-field>

    <mat-form-field appearance="fill">
        <input matInput formControlName="email" value={{data.email}}>
    </mat-form-field>

    <mat-form-field *ngIf="data.role=='62cd75655853a5d2c643dbab'" appearance="fill">
        <input matInput formControlName="speciality" value={{data.speciality}}>
    </mat-form-field>

    <!-- if user to be edited is doctor,you need to display list of available nurses-->
    <mat-form-field *ngIf="data.role=='62cd75655853a5d2c643dbab' " appearance="fill">
        <mat-select placeholder="select" multiple>
            <mat-option *ngFor="let nurse of availableNurses" value="nurse.name">{{$any(nurse).name}}</mat-option>
        </mat-select>
    </mat-form-field>

    <!-- if user to be edited is nurse,need to display doctors to whom they can be assigned-->
    <mat-form-field *ngIf="data.role=='62cd75655853a5d2c643dbac' " appearance="fill">
        <mat-select placeholder="select" multiple>
            <mat-option *ngFor="let doctor of availableDoctors" value="name">{{doctor.name}}</mat-option>
        </mat-select>
    </mat-form-field>

    <mat-dialog-actions>
        <button mat-stroked-button mat-dialog-close type="submit">Change</button>
    </mat-dialog-actions>
</form>